## Apache Zeta Components Manual :: File Source for colorspace.php

## Source for file colorspace.php

Documentation is available at colorspace.php

1. <?php
2. /**
3. * File containing the ezcImageColorspaceFilters interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package ImageConversion
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * This interface has to implemented by ezcImageFilters classes to
30. * support colorspace filters.
31. *
32. * @see ezcImageHandler
33. * @see ezcImageTransformation
34. * @see ezcImageFiltersInterface
35. *
36. * @package ImageConversion
37. * @version //autogentag//
38. */
39. interface ezcImageColorspaceFilters
40. {
41. /**
42. * Grey color space.
43. *
44. * @var int
45. */
46. const COLORSPACE_GREY = 1;
48. /**
49. * Sepia color space.
50. *
51. * @var int
52. */
53. const COLORSPACE_SEPIA = 2;
55. /**
56. * Monochrome color space.
57. *
58. * @var int
59. */
60. const COLORSPACE_MONOCHROME = 3;
62. /**
63. * Colorspace filter.
64. * Transform the colorspace of the picture. The following colorspaces are
65. * supported:
66. *
67. * - {@link self::COLORSPACE_GREY} - 255 grey colors
68. * - {@link self::COLORSPACE_SEPIA} - Sepia colors
69. * - {@link self::COLORSPACE_MONOCHROME} - 2 colors black and white
70. *
71. * @param int $space Colorspace, one of self::COLORSPACE_* constants.
72. * @return void
73. *
74. * @throws ezcImageInvalidReferenceException
75. * If no valid resource for the active reference could be found.
76. * @throws ezcImageFilterFailedException
77. * If the parameter submitted as the colorspace was not within the
78. * self::COLORSPACE_* constants
79. * If the operation performed by the the filter failed.
80. * @throws ezcBaseValueException
81. * If a submitted parameter was out of range or type.
82. */
83. function colorspace ( $space );
84. }
85. ?>

Documentation generated by phpDocumentor 1.4.3